Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670964 - media-video/vlc-3.0.4:0/5-9 CRASHES
Summary: media-video/vlc-3.0.4:0/5-9 CRASHES
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-12 01:59 UTC by vcmota
Modified: 2019-07-12 18:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
VLC crash backtrace (vlcbacktrace.log,1.92 KB, text/x-log)
2018-11-12 01:59 UTC, vcmota
Details
CORRECT VLC backtrace (vlcbacktrace.log,35.63 KB, text/x-log)
2018-11-12 13:21 UTC, vcmota
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vcmota 2018-11-12 01:59:34 UTC
Created attachment 554946 [details]
VLC crash backtrace

VLC started to crash a few days ago after a world and kernel update. This is what happens when launching vlc from command line:



Videos> vlc video.mkv
VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
[00005579baff05f0] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
libEGL warning: DRI2: failed to authenticate
libEGL warning: DRI2: failed to authenticate
Segmentation fault
Videos> 



I already tested multiple video extentions to the same effect. Also, I already try to recompile VLC without its USE flags, without any success. By the way, this is the flag status of my VLC install: 



Videos> equery uses vlc
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for media-video/vlc-3.0.4:
 U I
 + + X                    : Enable support for e.g. fullscreen mode via X and the X C-language binding. It does not build a graphical interface
 + + a52                  : Enable support for decoding ATSC A/52 streams used in DVD
 + + alsa                 : Add support for media-libs/alsa-lib (Advanced Linux Sound Architecture)
 - - archive              : Enable support for libarchive stream extractor
 - - aribsub              : Enable support for decoding ARIB STD-B24 subtitles
 - - bidi                 : Enable bidirectional language support
 - - bluray               : Enable libbluray for Blu-ray disc support
 - - cddb                 : Access cddb servers to retrieve and submit information about compact disks
 - - chromaprint          : Enable libchromaprint for Chromaprint based audio fingerprinter support
 - - chromecast           : Enable experimental support for Google Chromecast
 + + cpu_flags_x86_mmx    : Use the MMX instruction set
 + + cpu_flags_x86_sse    : Use the SSE instruction set
 + + dbus                 : Enable dbus support for anything that needs it (gpsd, gnomemeeting, etc)
 + + dc1394               : Enable IIDC cameras support
 + + debug                : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 + + dts                  : Enable DTS Coherent Acoustics decoder support
 + + dvbpsi               : Enable support for Mpeg-TS files (.ts, .m2ts, .mts) via media-libs/libdvbpsi
 - - dvd                  : Add support for DVDs
 + + encode               : Enable streaming-output support and videolan manager to control multiple streams from within one instance
 + + faad                 : Enable AAC audio decoding library support via media-libs/faad2
 + + fdk                  : Enable the Fraunhofer AAC codec library
 + + ffmpeg               : Enable ffmpeg/libav-based audio/video codec support
 + + flac                 : Add support for FLAC: Free Lossless Audio Codec
 + + fluidsynth           : Enable Fluidsynth MIDI software synthesis (with external sound fonts)
 + + fontconfig           : Support for configuring and customizing font access via media-libs/fontconfig
 + + gcrypt               : Enable cryptography support via libgcrypt
 + + gme                  : Enable support for media-libs/game-music-emu for playing various video game music formats
 - - gnome-keyring        : Enable support for storing passwords via gnome-keyring
 + + gstreamer            : Enable GStreamer based decoding support (currently supports only video decoding)
 + + ieee1394             : Enable FireWire/iLink IEEE1394 support (dv, camera, ...)
 - - jack                 : Add support for the JACK Audio Connection Kit
 + + jpeg                 : Add JPEG image support
 + + kate                 : Adds support for Ogg Kate subtitles via libkate
 + + libass               : SRT/SSA/ASS (SubRip / SubStation Alpha) subtitle support
 - - libav                : Prefer libav over ffmpeg whenever both are supported
 + + libcaca              : Add support for colored ASCII-art graphics
 - - libnotify            : Enable desktop notification support
 + + libsamplerate        : Build with support for converting sample rates using libsamplerate
 - - libtar               : Uses libtar instead of the built-in tar reader for reading custom skins
 + + libtiger             : Enable Ogg Kate subtitles rendering using libtiger
 + + linsys               : Enable support for Linux Linear Systems Ltd. SDI and HD-SDI input cards
 - - lirc                 : Add support for lirc (Linux's Infra-Red Remote Control)
 + + live                 : Enable live555 streaming media support (client support for rtsp)
 + + lua                  : Enable Lua scripting support, needed for including support for Jamendo (online music platform) and similar things
 - - macosx-notifications : Enable Mac OS X notifications module (formerly growl)
 - - matroska             : Enable matroska support using reference libraries (fallback on other existing matroska support if disabled, i.e., matroska enabled FFmpeg)
 - - modplug              : Add libmodplug support for playing SoundTracker-style music files
 - - mp3                  : Add support for reading mp3 files
 + + mpeg                 : Add libmpeg2 support for mpeg-1 and mpeg-2 video streams
 + + mtp                  : Enable support for Media Transfer Protocol
 + + musepack             : Enable support for the musepack audio codec
 + + ncurses              : Add ncurses support (console display library)
 + + nfs                  : Enable support for nfs protocol via net-fs/libnfs
 - - ogg                  : Add support for the Ogg container format (commonly used by Vorbis, Theora and flac)
 + + omxil                : Enable OpenMAX Integration Layer codec module
 + + opencv               : Enable OpenCV (computer vision) filter module
 + + optimisememory       : Enable optimisation for memory rather than performance
 + + opus                 : Enable Opus audio codec support
 - - png                  : Add support for libpng (PNG images)
 + + postproc             : Enable image post-processing via libpostproc (part of FFmpeg)
 + + projectm             : Enable the projectM visualization plugin
 - - pulseaudio           : Add support for PulseAudio sound server
 + + qt5                  : Add support for the Qt 5 application and UI framework
 - - rdp                  : Enables RDP/Remote Desktop support
 - - run-as-root          : Allows vlc to start for root. Don't enable this unless you have a very specific (e.g. embedded) need for it!
 - - samba                : Add support for SAMBA (Windows File and Printer sharing)
 + + sdl-image            : Enable sdl image video decoder (depends on sdl)
 - - sftp                 : Enable libssh2 to support SFTP file transfer
 + + shout                : Enable libshout output
 + + sid                  : Adds support for playing C64 SID files through media-libs/libsidplay:2
 - - skins                : Enable support for the skins2 interface
 - - soxr                 : Enable SoX Resampler support via media-libs/soxr
 + + speex                : Add support for the speex audio codec (used for speech)
 + + ssl                  : Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
 - - svg                  : Add support for SVG (Scalable Vector Graphics)
 + + taglib               : Enable tagging support with taglib
 - - test                 : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)
 + + theora               : Add support for the Theora Video Compression Codec
 - - tremor               : Enable tremor, a fixed-point version of the Ogg Vorbis decoder
 + + truetype             : Add support for FreeType and/or FreeType2 fonts
 + + twolame              : Enable twolame support (MPEG Audio Layer 2 encoder)
 + + udev                 : Enable virtual/udev integration (device discovery, power and storage device support, etc)
 + + upnp                 : Enable support for the Intel SDK stack based UPnP discovery module instead of CyberLink
 - - v4l                  : Enable support for video4linux (using linux-headers or userspace libv4l libraries)
 + + vaapi                : Enable Video Acceleration API for hardware decoding
 - - vdpau                : Enable the Video Decode and Presentation API for Unix acceleration interface
 - - vnc                  : Enable VNC (remote desktop viewer) support
 + + vorbis               : Add support for the OggVorbis audio codec
 + + vpx                  : Enable the decoder(s) from the WebM VP8 / VP9 Codec SDK
 - - wayland              : Enable dev-libs/wayland backend
 + + wma-fixed            : Enable fixed point WMA decoder
 + + x264                 : Enable h264 encoding using x264
 + + x265                 : Support X265 Encoder
 + + xml                  : Add support for XML files
 - - zeroconf             : Enable support for zero-configuration networking via avahi
 + + zvbi                 : Enable support for teletext subtitles via the zvbi library
Videos>




This report is related with this post on the forums:



https://forums.gentoo.org/viewtopic-t-1088886.html



Shortly, I suspect the error may have something to do with the following packages/versions:


x11-libs/libdrm-2.4.96
x11-libs/libX11-1.6.7
media-libs/mesa-18.2.4
x11-base/xorg-server-1.20.3


That is because I have another machine where I already run the latest VLC version as well as the latest kernel, and there is no crash there. The difference is that I do not update that other machine as frequently as I update the one where the crash happens, so since both have the same VLC version and kernel it may have something to do the VLC dependencies. Due to the output of the crash that states "libEGL warning: DRI2: failed to authenticate"  I suspect the culprit may be among the he above dependencies with that versions, but that is just a guess. More information:


Videos> emerge --info
Portage 2.3.51 (python 2.7.15-final-0, default/linux/amd64/17.0/hardened/selinux, gcc-7.3.0, glibc-2.27-r6, 4.14.78-gentoo x86_64)
=================================================================
System uname: Linux-4.14.78-gentoo-x86_64-Intel-R-_Core-TM-_i7-6500U_CPU_@_2.50GHz-with-gentoo-2.6
KiB Mem:    16113532 total,  13245592 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 11 Nov 2018 00:30:01 +0000
Head commit of repository gentoo: c620bdc2b3a0872b6bc6ef0a9c624a411328db0d
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.3::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: no
    sync-rsync-extra-opts:
    sync-rsync-verify-max-age: 24

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -ggdb"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news nostrip parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.lug.udel.edu/pub/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ http://mirror.bytemark.co.uk/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en pt pt_BR zh_CN"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl alsa amd64 bzip2 consolekit crypt cxx dbus fortran gphoto2 hardened iconv ipv6 lapack libtirpc multilib ncurses nls nptl openmp pam pcre pie policykit readline savedconfig seccomp selinux ssl ssp symlink threads udev unicode xattr xtpax zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" CAMERAS="ptp2 samsung" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en pt pt-BR zh zh-CN" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23" SANE_BACKENDS="hpaio" USERLAND="GNU" VIDEO_CARDS="intel nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p
iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Videos>


There is also a backtrace available. Thank you.
Comment 1 vcmota 2018-11-12 02:00:15 UTC
By the way, here is my make.conf:


Videos> cat /etc/portage/make.conf
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -ggdb"
CXXFLAGS="${CFLAGS}"

USE="X policykit dbus consolekit alsa acl udev crypt savedconfig fortran unicode lapack threads symlink hardened gphoto2"



# NOTE: This stage was built with the bindist Use flag enabled
PORTDIR="/usr/portage"
DISTDIR="/usr/portage/distfiles"
PKGDIR="/usr/portage/packages"

# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C

MAKEOPTS="-j5"

LINGUAS="en pt pt_BR zh_CN"
L10N="en pt pt-BR zh zh-CN"

FEATURES="nostrip"

VIDEO_CARDS="intel nouveau"
INPUT_DEVICES="libinput"

SANE_BACKENDS="hpaio"

CAMERAS="ptp2 samsung"

GENTOO_MIRRORS="http://mirror.lug.udel.edu/pub/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ http://mirror.bytemark.co.uk/gentoo/"
Videos>
Comment 2 vcmota 2018-11-12 13:21:03 UTC
Created attachment 554960 [details]
CORRECT VLC backtrace

My first backtrace was not correct, now it is ok I guess.
Comment 3 vcmota 2018-11-16 01:35:05 UTC
Today I decided to install MPV in my machine. There is no crash, it works, and this is the output when I launch a video: 

Videos> mpv video.mkv
Playing: video.mkv
 (+) Video --vid=1 (*) (h264 854x480 29.970fps)
 (+) Audio --aid=1 --alang=eng (*) (aac 2ch 48000Hz)
File tags:
 Title: Dark Money - RMTeam, RMZ.cr
libEGL warning: DRI2: failed to authenticate
[vo/opengl] Suspected software renderer or indirect context.
[vo/opengl] Suspected software renderer or indirect context.
libva info: VA-API version 0.39.4
libva info: va_getDriverName() returns -1
libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)
[vaapi] vaInitialize(): unknown libva error
[vo/x11] Warning: this legacy VO has bad performance. Consider fixing your graphics drivers, or not forcing the x11 VO.
AO: [alsa] 48000Hz stereo 2ch float
VO: [x11] 854x480 => 854x480 yuv420p
(Paused) AV: 00:00:08 / 01:37:36 (0%) A-V:  0.000
Track switched:
 (+) Video --vid=1 (*) (h264 854x480 29.970fps)
     Audio --aid=1 --alang=eng (*) (aac 2ch 48000Hz)
(Paused) V: 00:00:08 / 01:37:36 (0%)
Track switched:
 (+) Video --vid=1 (*) (h264 854x480 29.970fps)
 (+) Audio --aid=1 --alang=eng (*) (aac 2ch 48000Hz)
AO: [alsa] 48000Hz stereo 2ch float
AV: 00:00:13 / 01:37:36 (0%) A-V:  0.000


Exiting... (Quit)
Videos> 


As you can see I still have the same message "libEGL warning: DRI2: failed to authenticate" that shows in vlc, jointly with other warning/error messages, although there is no crash now. My USE flags for MPV are: 


Videos> equery uses mpv
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for media-video/mpv-0.27.2:
 U I
 + + X                        : Add support for X11
 + + alsa                     : Add support for media-libs/alsa-lib (Advanced Linux Sound Architecture)
 - - archive                  : Enable support for various archive formats via app-arch/libarchive
 + + bluray                   : Enable playback of Blu-ray filesystems
 + + cdda                     : Add Compact Disk Digital Audio (Standard Audio CD) support
 + + cli                      : Build mpv CLI player
 + + cplugins                 : Enable C plugins support
 + + doc                      : Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
 + + drm                      : Enable Kernel Mode Setting / Direct Rendering Manager based video output
 + + dvb                      : Add support for DVB (Digital Video Broadcasting)
 + + dvd                      : Add support for DVDs
 + + egl                      : Enable support for various EGL-based video outputs / backends
 + + encode                   : Add support for encoding of audio or video files
 + + gbm                      : Enable Graphics Buffer Manager based EGL video backend
 + + iconv                    : Enable support for the iconv character set conversion library
 + + jack                     : Add support for the JACK Audio Connection Kit
 + + jpeg                     : Enable support for saving screenshots in JPEG format
 + + lcms                     : Add lcms support (color management engine)
 + + libass                   : Enable OSD (On Screen Display) and subtitles support via media-libs/libass
 + + libcaca                  : Add support for colored ASCII-art graphics
 + + libmpv                   : Build mpv shared library
 + + lua                      : Enable Lua scripting, OSC (On Screen Controller) GUI and net-misc/youtube-dl hook-script
 + + luajit                   : Use dev-lang/luajit instead of dev-lang/lua (ineffective with USE=-lua)
 + + openal                   : Add support for the Open Audio Library
 + + opengl                   : (Restricted to <media-video/mpv-0.28.0)
                                Enable the recommended 'opengl' video output
 + + oss                      : Add support for OSS (Open Sound System)
 - - pulseaudio               : Add support for PulseAudio sound server
 + + python_targets_python2_7 : Build with Python 2.7
 - - python_targets_python3_4 : Build with Python 3.4
 - - python_targets_python3_5 : Build with Python 3.5
 + + python_targets_python3_6 : Build with Python 3.6
 - - rubberband               : Enable high quality pitch correction via media-libs/rubberband
 - - samba                    : Add support for SAMBA (Windows File and Printer sharing)
 - - sdl                      : Enable media-libs/libsdl2 based video and audio outputs (Note: these outputs exist for compatibility reasons only, avoid if possible)
 - - test                     : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)
 - - tools                    : Install extra tools: mpv_identify.sh, mpv_idet.sh, and umpv
 + + uchardet                 : Enable subtitles charset discovery via app-i18n/uchardet
 + + v4l                      : Enable support for video4linux (using linux-headers or userspace libv4l libraries)
 + + vaapi                    : Enable Video Acceleration API for hardware decoding
 - - vdpau                    : Enable the Video Decode and Presentation API for Unix acceleration interface
 - - wayland                  : Enable dev-libs/wayland backend
 - - xv                       : Add in optional support for the Xvideo extension (an X API for video playback)
 + + zlib                     : Add support for zlib (de)compression
 - - zsh-completion           : Enable zsh completion support
Videos>
Comment 4 Phil Stracchino (Unix Ronin) 2018-11-28 19:21:51 UTC
Just to note that I am also suddenly seeing this same problem, media-video/vlc-3.0.4 dying with a SEGV on every attempt at use.  It dumps a very large core file (96MB or larger) if allowed to.  It seems to have started sometime within the last few days but I cannot correlate it to a specific change or update because I do not use VLC every day.
Comment 5 Phil Stracchino (Unix Ronin) 2018-11-29 05:47:21 UTC
UPDATE:

On my system I found that this crash was caused by the installed version of x11-drivers/nvidia-drivers being used by X11 being a different version than the version loaded by the running kernel, because x11-drivers/nvidia-drivers had updated since the machine was last rebooted.  Rebooting to sync the loaded kernel graphics driver to the installed version fixed the problem.
Comment 6 Andreas Sturmlechner gentoo-dev 2019-07-12 18:33:27 UTC
Is this fixed in 3.0.7.1?